import type { Expectation } from '../expectation/expectation';
import type { Property } from '../proxy';
type MatcherResult = {
    expected: unknown;
    actual: unknown;
};
interface MatcherError {
    matcherResult?: MatcherResult;
}
export declare class UnexpectedCall extends Error implements MatcherError {
    matcherResult?: MatcherResult;
    constructor(property: Property, args: unknown[], expectations: Expectation[]);
}
export {};
