import type { TypeMatcher } from './matcher';
/**
 * Compare values using `Object.is`.
 *
 * @link https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
 *
 * @see It.deepEquals A matcher that uses deep equality.
 */
export declare const is: <T = unknown>(expected: T) => TypeMatcher<T>;
